<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
		<link rel="stylesheet" href="jquery-ui-1.12.1\jquery-ui.min.css">
		<script src="jquery-ui-1.12.1\external\jquery\jquery.js"></script>
		<script src="jquery-ui-1.12.1\jquery-ui.min.js"></script>
		<script src="jQueryRotate.js"></script>
		<style>
			.nikoruTooltip {
				width: 55px;
				height: 10px;
			}
			.nikoruKun {
				position: absolute;
				vertical-align: middle;
				margin: auto;
				top: 0;
				bottom: 0;
				width: 20px;
				height: 20px;
			}
			.nikorare {
				position: absolute;
				font-family: meiryo;
				margin: auto;
				margin-left: 25px;
				margin-top: 2px;
				top: 0;
				bottom: 0;
			}
		</style>
	</head>
	<body>
		<h1>title</h1>
		<div style="margin-left: 100px;" id="test">aaa</div>
		<div style="margin-left: 100px;" id="test2">bbb</div>
	</body>
	<script>

		$("#test").click(() => {
			$(".nikoruKun").rotate({ animateTo: -90 });
		});
		
		const getNikoruDOM = (nikorare) => `<div class="nikoruTooltip"><img class="nikoruKun" src="images/nikoru_tate.png"><div class="nikorare">${nikorare}</div></div>`;

		$("#test").tooltip({
			show: false,
			hide: false,
			position: { my: "left-100 center", at: "left center" },
			items: "#test",
			content: function() {
 				return getNikoruDOM(123);
			}
		});
		
		$("#test2").tooltip({
			show: false,
			hide: false,
			position: { my: "left-100 center", at: "left center" },
			items: "#test2",
			content: function() {
 				return getNikoruDOM(1);
			}
		});
		
	</script>
</html>
